%define name	xaos
%define version	3.5
%define release %mkrel 7

%define build_aalib	1

Summary:	A real-time fractal zoomer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Sciences/Mathematics
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libgsl-devel
BuildRequires:	libpng-devel
BuildRequires:	aalib-devel
Patch0:		xaos-3.5-format-string.patch
Source0:	http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source10:	%{name}.16.xpm
Source11:	%{name}.32.xpm
Source12:	%{name}.48.xpm
URL:		http://xaos.theory.org/
Obsoletes:	XaoS < %{version}-%{release}
Provides:	XaoS = %{version}-%{release}
Obsoletes:	%{name}-svgalib < %{epoch}:%{version}-%{release}
Epoch:		1

%description
XaoS is a real-time fractal zoomer. It is highly optimized. It features an
advanced help system and nice tutorial about a lot different fractals.

This package holds the binary that runs with X11.

%package aalib
Summary: Real-time fractal zoomer, aalib package
Group: Sciences/Mathematics
Obsoletes: XaoS-aalib < %{version}-%{release}
Provides: XaoS-aalib = %{version}-%{release}

%description aalib
XaoS is a real-time fractal zoomer. It is highly optimized. It features an
advanced help system and nice tutorial about a lot different fractals.

This package holds (only) the binary that runs with aalib. (Ascii-Art)

%prep
%setup -q
%patch0 -p1 -b .strfmt

CFLAGS=$(echo %optflags | sed -e "s/-O2/-O3 -malign-double -fstrict-aliasing -ffast-math/")

%if %{build_aalib}
rm -f config.cache
%configure2_5x --without-x11-driver --with-aa-driver 
%make
mv bin/xaos ./xaos-aalib
BUILD_TAG=yes
%endif

[[ -n "$BUILD_TAG" ]] && { make clean; BUILD_TAG=""; }
rm -f config.cache
%configure2_5x --with-x11-driver --without-aa-driver
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_infodir}
%makeinstall LOCALEDIR=%{buildroot}%{_datadir}/locale

%if %{build_aalib}
install -m755 xaos-aalib %{buildroot}%{_bindir}
%endif
install -m644 help/xaos.hlp %{buildroot}%{_datadir}/XaoS/catalogs

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=XaoS
Comment=Realtime fractal zoomer
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Education;Science;Math;
EOF

mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
cp %{SOURCE10} %{buildroot}%{_miconsdir}/%{name}.xpm
cp %{SOURCE11} %{buildroot}%{_iconsdir}/%{name}.xpm
cp %{SOURCE12} %{buildroot}%{_liconsdir}/%{name}.xpm

%find_lang %{name}

%clean
rm -rf %{buildroot}

%_install_info xaos.info

%preun
%_remove_install_info xaos.info

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc NEWS AUTHORS README
%{_bindir}/xaos
%{_datadir}/XaoS
%{_mandir}/man6/*
%{_infodir}/xaos*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%if %{build_aalib}
%files aalib
%defattr(-,root,root,0755)
%doc COPYING 
%{_bindir}/xaos-aalib
%endif




%changelog
* Wed Apr 27 2011 wally <wally> 1:3.5-7.mga1
+ Revision: 92026
- fix desktop file name (mga#954)
- drop buildroot definition

* Tue Feb 01 2011 dmorgan <dmorgan> 1:3.5-6.mga1
+ Revision: 46078
- Remove mdv macros
- fix obsoletes
- imported package xaos


* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 1:3.5-5mdv2011.0
+ Revision: 634858
- simplify BR
- svgalib driver does not exist now

* Tue Jul 21 2009 Frederik Himpe <fhimpe@mandriva.org> 1:3.5-4mdv2010.0
+ Revision: 398412
- Update to new version 3.5
- Remove old patches
- Add patch fixinf string format
- Use %%{buildroot} instead of $RPM_BUILD_ROOT
- Don't run autoconf anymore
- Don't bzip2 sources
- Fix license and %%doc file list
- Fix desktop categories
- Add upstream optimization flags in addition to Mandriva CFLAGS

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1:3.2.3-4mdv2009.0
+ Revision: 242969
- rebuild
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jun 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:3.2.3-2mdv2008.0
+ Revision: 37585
- Rebuild with libslang2.

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 1:3.2.3-1mdv2008.0
+ Revision: 17294
- XDG menu
- enable aalib and svgalib sub-packages for x86_64 as well
- 3.2.3
- remove hardcoded packager tag
- Import xaos



* Fri Apr 25 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-2mdk
- fix buildrequires thx to stefan's robot

* Thu Apr 10 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-1mdk
- new version

* Wed Oct  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1-0.pre5.3mdk
- Really use pre5 version, lenny is weird some times ;-)
- Remove obsolete Patch0
- Update Patch1 with even more includes missed
- Patch4: Fix build and detection of DGA libraries
- Patch5: Partially use "configure" generated macros for prefix et al.

* Wed Oct  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1-0.pre5.2mdk
- Enable build on x86-64
- Patch1: Add missing includes
- Patch2: Some 64-bit fixlets but not really errors
- Patch3: Fix detection of XShm remotely and revert gracefully to non-shm mode

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.1-0.pre5.1mdk
- 3.1.0pre5
- new url

* Fri Oct 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-0.pre1.1mdk
- rebuild for libpng3
- fix obsolete-not-provided
- fix invalid-version
- fix obsolete-tag Copyright
- fix large-icon-not-in-package

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-17mdk
- rebuild

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-16mdk
- some forgotten `obsoletes' tags

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-15mdk
- change name to xaos (e.g. uppercase names suck)

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-14mdk
- fixed missing install_info

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-13mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.1pre1-12mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-11mdk
- rebuild for buggy %% clean_menus

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-10mdk
- BM
- macros for menu/icons

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-9mdk
- macros

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 3.1pre1-8mdk
- added ppc ExclusiveArch

* Tue May  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-7mdk
- added exclusivearch with the help of S. Van der Eijk

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-6mdk
- added 32x32 icons, fixed hardcoded path in menu entries
- added lacking [ $1 = 0 ] in postun script

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1pre1-5mdk
- Don't own shared directiries
- Use $RPM_OPT_FLAGS, don't build for i686 when I say i586

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1pre1-4mdk
- Fix group

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-3mdk
- added icon

* Mon Mar 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-2mdk
- add menu entry

* Sat Mar 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-1mdk
- 3.1pre1
- holy patch to remove crash when invoking help
